--[[

	Atlas Arena, a World of Warcraft instance map browser
	Copyright 2010 Arith Hsu

	This file is a plugin of Atlas.

	Atlas Arena is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Atlas is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Atlas; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

--]]
local BZ = Atlas_GetLocaleLibBabble("LibBabble-SubZone-3.0");

local BLUE = "|cff6666ff";
local GREY = "|cff999999";
local GREN = "|cff66cc33";
local YELL = "|cffcccc00";
local _RED = "|cffcc6666";
local ORNG = "|cffcc9933";
local PURP = "|cff9900ff";
local WHITE = "|cffffffff";
local CYAN = "|cff008888";
local INVIS = "|c00000000";
local INDENT = "   ";

local myCategory = AtlasArenaLocale["Arena Maps"];

local myData = {
	-- Blade's Edge Arena
	CircleOfBlood = {
		ZoneName = { BZ["Blade's Edge Arena"] };
		Location = { BZ["Circle of Blood Arena"]..", "..BZ["Blade's Edge Mountains"] };
		LevelRange = "10-70";
		PlayerLimit = "2v2, 3v3, 5v5";
		{ BLUE..BZ["Circle of Blood Arena"] };
		{ };
		{ GREY.."1) "..AtlasArenaLocale["Frixee Brasstumbler <Arena Vendor>"] };
		{ GREY.."2) "..AtlasArenaLocale["Meminnie <Arena Vendor>"] };
	};
	-- Dalaran Arena
	Dalaran_Sewers = {
		ZoneName = { BZ["Dalaran Arena"] };
		Location = { BZ["Dalaran Sewers"]..", "..BZ["Dalaran"] };
		LevelRange = "10-80";
		PlayerLimit = "2v2, 3v3, 5v5";
		{ BLUE..BZ["Dalaran Arena"] };
		{ };
		{ GREY.."1) "..AtlasArenaLocale["Xazi Smolderpipe <Arena Vendor>"] };
		{ GREY.."2) "..AtlasArenaLocale["Zom Bocom <Apprentice Arena Vendor>"] };
		{ GREY.."3) "..AtlasArenaLocale["Nargle Lashcord <Veteran Arena Vendor>"] };
		{ GREY.."4) "..AtlasArenaLocale["Trapjaw Rix <Exceptional Arena Weaponry>"] };
	};
	-- Nagrand Arena
	RingOfTrials = {
		ZoneName = { BZ["Nagrand Arena"] };
		Location = { BZ["The Ring of Trials"]..", "..BZ["Nagrand"] };
		LevelRange = "10-70";
		PlayerLimit = "2v2, 3v3, 5v5";
		{ BLUE..BZ["Nagrand Arena"] };
		{ };
		{ GREY.."1) "..AtlasArenaLocale["Kelara <Keeper of Sha'tari Heirlooms>"] };
		{ GREY.."2) "..AtlasArenaLocale["Grikkin Copperspring <Arena Vendor>"] };
	};
	-- The Ring of Valor
	RingOfValor = {
		ZoneName = { BZ["The Ring of Valor"] };
		Location = { BZ["Orgrimmar"] };
		LevelRange = "10-80";
		PlayerLimit = "2v2, 3v3, 5v5";
		{ BLUE..BZ["The Ring of Valor"] };
	};
	-- Ruins of Lordaeron
	RuinsOfLordaeron = {
		ZoneName = { BZ["Ruins of Lordaeron"] };
		Location = { BZ["Ruins of Lordaeron"] };
		LevelRange = "10-70";
		PlayerLimit = "2v2, 3v3, 5v5";
		{ BLUE..BZ["Ruins of Lordaeron"] };
	};
	-- Gurubashi Arena
	GurubashiArena = {
		ZoneName = { BZ["Gurubashi Arena"] };
		Location = { BZ["Stranglethorn Vale"] };
		LevelRange = "30-45";
		PlayerLimit = "N/A";
		{ BLUE..BZ["Gurubashi Arena"] };
		{ };
		{ GREY.."1) "..AtlasArenaLocale["Short John Mithril"] };
	};
	-- The Rumble Cage
	RumbleCage = {
		ZoneName = { BZ["The Rumble Cage"] };
		Location = { BZ["Gadgetzan"]..", "..BZ["Tanaris"] };
		LevelRange = "40-50";
		PlayerLimit = "2v2, 3v3, 5v5";
		{ BLUE..BZ["The Rumble Cage"] };
		{ };
		{ GREY.."1) "..AtlasArenaLocale["Max Luna <Arena Battlemaster>"] };
		{ GREY.."2) "..AtlasArenaLocale["Vixton Pinchwhistle <Brutal Arena Vendor>"] };
		{ GREY.."3) "..AtlasArenaLocale["Ecton Brasstumbler <Apprentice Arena Vendor>"] };
		{ GREY.."4) "..AtlasArenaLocale["Evee Copperspring <Arena Vendor>"] };
		{ GREY.."5) "..AtlasArenaLocale["Argex Irongut <Veteran Arena Vendor>"] };
		{ GREY.."6) "..AtlasArenaLocale["Blazzek the Biter <Exceptional Arena Weaponry>"] };
		{ GREY.."7) "..AtlasArenaLocale["Bip Nigstrom <Arena Organizer>"] };
	};
};


Atlas_RegisterPlugin("Atlas_Arena", myCategory, myData);
